import request from '@/utils/request'

// 【 ezhizao-dms-production 】这个名字对应的就是 nacos 中的服务的 id，必须用“-”分割
// 开发时，在 vite.config.js 中配置 /ezhizao-dms-production，参考 /dev-api 的配置
// 生产时，在nginx中配置 /ezhizao-dms-production，指定对应的 nacos 中的服务 id：/ezhizao-dms-production

const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询productionPlan列表
export function listProductionPlan(query) {
  return request({
    url: baseUrl + '/business/productionPlan/list',
    method: 'get',
    params: query
  })
}

// 查询productionPlan详细
export function getProductionPlan(id) {
  return request({
    url: baseUrl + '/business/productionPlan/' + id,
    method: 'get'
  })
}

// 新增productionPlan
export function addProductionPlan(data) {
  return request({
    url: baseUrl + '/business/productionPlan',
    method: 'post',
    data: data
  })
}

// 修改productionPlan
export function updateProductionPlan(data) {
  return request({
    url: baseUrl + '/business/productionPlan',
    method: 'put',
    data: data
  })
}

// 删除productionPlan
export function delProductionPlan(id) {
  return request({
    url: baseUrl + '/business/productionPlan/' + id,
    method: 'delete'
  })
}
